Page MenuHomePhabricator

Add “citation needed” constraint type
Closed, ResolvedPublic

Description

Some properties, especially the ones likely to be challenged, should usually have a reference. There should be a constraint type for that. (A simple binary should do, we don’t need to define what “nice” references look like.)

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterAdd 'citation needed' constraint

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2018, 11:49 AM
Lydia_Pintscher triaged this task as High priority.May 20 2018, 8:05 AM
Lydia_Pintscher moved this task from incoming to consider for next sprint on the Wikidata board.

Well, I do would love some option to say that references to Wikipedia aren't enough.

This is part of https://www.wikidata.org/wiki/Help_talk:Property_constraints_portal#Improvements_for_2018 . Would start with just binary in the first version and maybe do a second version that looks for real references (and not imported from).

Ladsgroup added a subscriber: Ladsgroup.

I'm doing this 💪💪💪

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMay 31 2018, 10:44 AM

Change 436513 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add 'citation needed' constraint

https://gerrit.wikimedia.org/r/436513

Change 436513 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add 'citation needed' constraint

https://gerrit.wikimedia.org/r/436513

Deployed on the wikidata-constraints test system, see here.

Yay! @Lucas_Werkmeister_WMDE can you update the documentation?

Lucas_Werkmeister_WMDE closed this task as Resolved.Jun 11 2018, 12:18 PM

Documentation page created. Since this was already announced on the WikiProject talk page, I think we can close this task now.

Vvjjkkii renamed this task from Add “citation needed” constraint type to 7ocaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Ladsgroup as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 7ocaaaaaaa to Add “citation needed” constraint type.Jul 2 2018, 1:42 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Ladsgroup.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.